Subject: Re: bug#47877: [PATCH] Respect sgml-xml-mode

From: Stefan Kangas <[email-masked]>
Date: Tue, 20 Apr 2021 18:45:18 -0500

Philip Kaludercic <[email-masked]> writes:

> sgml-xml-mode is a user option that is over-riden by smgl-mode. When I
> customize sgml-xml-mode to be enabled for every sgml-mode derived mode
> (specifically html-mode), it is disabled because a HTML file does not
> have to be a valid XML file -- even if I would want it to be.
>
> This patch only sets sgml-xml-mode if we know that the current file is
> an XML file, but leaves the default value if it cannot be said for sure.

Thanks for the patch.

Your explanation sounds reasonable, but could you perhaps provide a
recipe for how to reproduce this problem (preferably starting from emacs
-Q)?